<?php
/*
Plugin Name: Custom Admin Design
Plugin URI: http://bueltge.de/
Description: Test: Admin Design at WP 2.5
Author: Frank Bueltge
Version: 0.1
Author URI: http://bueltge.de/
*/

function fb_custom_admin_design() {
	
	// url to stylesheet
	$css_url = get_option( 'siteurl' ) . '/' . PLUGINDIR . '/' . plugin_basename( dirname(__FILE__) );
	
	// Example Design for test
	wp_admin_css_color (
		'custom', __('Custom Test'), $css_url . '/custom_test.css',
		array (
			'#0d324f',
			'#e5f3ff',
			'#910005',
			'#fff; border-color: #333; background: #fff url(' . $css_url . '/fb.jpg) 1px 1px no-repeat',
			'#333'
		)
	);

	// Example Design for Praegnanz.de
	wp_admin_css_color (
		'praegnanz', __('Praegnanz.de'), $css_url . '/praegnanz.css',
		array (
			'#000',
			'#fff',
			'#009900',
			'#ccc'
		)
	);
	
}

// WP-Hook for activation the style in user-edit 
add_action('admin_init', 'fb_custom_admin_design');
?>